//Определение параметров реальной клиентской области
//Получается, если задаешь например окно размера 400x400
//то реальный размер клиентской части уменьшается так как
//существует меню , рамки.
//так что все это для того что бы создать желаемый
//размер клиентской части
//Если нет меню, то есть при создании окна приминили 
//флаг WS_POPUP то клиентская часть точно совпадает с 
//размером созданного окна
BOOL SizeMoveWindow(DWORD hWnd)
{
DWORD xpos=0;
DWORD ypos=0;



//Вычисление размера окна 
AdjustWindowRectEx(#window_rect,                       //параметры клиентской части
                    GetWindowLong(hWnd, GWL_STYLE),    //Стиль окна
                    GetMenu(hWnd),                     //Флаг наличия меню
                    GetWindowLong(hWnd, GWL_EXSTYLE)); //Расширенный стиль


WidthClientWin=window_rect.right-window_rect.left; //ширина
HeightClientWin=window_rect.bottom-window_rect.top; //высота

WidthClientWin=WidthClientWin-_Width_SCR_;
HeightClientWin=HeightClientWin-_Height_SCR_;

xpos=GetSystemMetrics(SM_CXSCREEN);
xpos-=_Width_SCR_;
xpos=xpos>>1;

ypos=GetSystemMetrics(SM_CYSCREEN);
ypos-=_Height_SCR_;
ypos=ypos>>1;



MoveWindow(hWnd, 
           xpos,       //CW_USEDEFAULT,                      //Положение по горизонтали
           ypos,       //CW_USEDEFAULT,                      //Положение по вертикали
           window_rect.right-window_rect.left, //ширина
           window_rect.bottom-window_rect.top, //высота
           FALSE);


        ShowWindow(hWnd,SW_SHOWNORMAL);   //show window
//        UpdateWindow(hWnd);             //redraw window
//        SetFocus(hWnd);


RETURN TRUE;
}
